Facebook Page Posts API
List a page's recent posts with text, post time, reactions by type, comments and shares.
- 1 credit per call
- Failed calls are free
- Updated
- facebook.page-posts.list
{ "total_items": 20, "items": [ { "text": "Andrew Bosworth, aka Boz, talks all things AI agents, AI wearables, and the future of entertainment in 60 seconds.", "comment_count": 509, "created_time": 1790871441, "post_id": "1152729184082957", "share_count": 97, "url": "https://www.facebook.com/Meta/videos/2277713513083702/", "reactions": { "angry": 5, "care": 40, "haha": 4, "like": 1447, "love": 203, "wow": 5 } }, { "text": "meet Meta VR Glasses. the result of more than a decade of innovation—a cinema, stadium, workspace, and console. all lighter than a deck of …", "comment_count": 558, "created_time": 1790784570, "post_id": "1151655277523681", "share_count": 231, "url": "https://www.facebook.com/Meta/videos/1737837581070505/", "reactions": { "angry": 10, "care": 60, "haha": 9, "like": 2439, "love": 324, "sad": 1, "wow": 27 } } ]}
| # | Post | Likes | Loves | Comments | Shares | Posted (Unix time) | Link | Post id |
|---|---|---|---|---|---|---|---|---|
| 1 | Andrew Bosworth, aka Boz, talks all things AI agents, AI wearab… | 1447 | 203 | 509 | 97 | 1,790,871,441 | https://www.facebook.com/Meta/videos/2277713513083702/ | 1152729184082957 |
| 2 | meet Meta VR Glasses. the result of more than a decade of innov… | 2439 | 324 | 558 | 231 | 1,790,784,570 | https://www.facebook.com/Meta/videos/1737837581070505/ | 1151655277523681 |
| 3 | George knows a thing or two about the hustle. 🏁 Meet Muse, the … | 1452 | 174 | 307 | 128 | 1,790,690,325 | https://www.facebook.com/Meta/videos/38683148024667003/ | 1150532034302672 |
| 4 | Today, we are launching Muse for Small Business. Small business… | 383 | 50 | 94 | 26 | 1,790,681,329 | https://www.facebook.com/Meta/posts/pfbid02SQmHXuFN8TxURsSvNmoD… | 1150401220982420 |
| 5 | Today we're introducing Muse for Small Business. Muse is a pers… | 767 | 115 | 155 | 45 | 1,790,680,980 | https://www.facebook.com/Meta/posts/pfbid033twLS9LtLrF4QhDHsWRX… | 1150396680982874 |
| 6 | so many styles and even more ways AI can help you, hands-free. … | 5921 | 812 | 1155 | 506 | 1,790,567,380 | https://www.facebook.com/Meta/videos/4530060427309025/ | 1149105007778708 |
| 7 | key beats from Meta Connect in case you missed it | 1211 | 201 | 343 | 108 | 1,790,452,607 | https://www.facebook.com/Meta/videos/1401509972135403/ | 1147828977906311 |
| 8 | introducing Meta Glasses by LISA. choose from two iconic looks … | 1815 | 312 | 315 | 157 | 1,790,448,374 | https://www.facebook.com/Meta/videos/2309705856444009/ | 1147780677911141 |
| 9 | Make some noise for Meta Connect. 🔊 So many exciting announceme… | 3450 | 470 | 458 | 214 | 1,790,447,661 | https://www.facebook.com/Meta/videos/2600565263737886/ | 1147772281245314 |
| 10 | meet Muse, your personal AI agent. it gets to know you and your… | 16,819 | 2728 | 5375 | 2475 | 1,790,442,580 | https://www.facebook.com/Meta/videos/923758310489811/ | 1147707387918470 |
What you send
The input
object of the request, with every field the endpoint accepts.
| Field | Type | Required | What it does | Example |
|---|---|---|---|---|
| url | string | yes | The page's link. | https://www.facebook.com/Meta |
| limit | integer | no | How many posts to return. A page shows visitors about its 20 latest posts. |
Fields it returns
What each record in the response holds, with the values from the sample above.
| Field | Type | What it is | Example |
|---|---|---|---|
| items[].text | string | The post's text. | Andrew Bosworth, aka Boz, talks all things AI agents, AI wearab… |
| items[].reactions.like | integer | Like reactions. | 1447 |
| items[].reactions.love | integer | Love reactions. | 203 |
| items[].comment_count | integer | Comments, as Facebook shows them. | 509 |
| items[].share_count | integer | Shares, as Facebook shows them. | 97 |
| items[].created_time | integer | When it was posted, as a Unix time in seconds. | 1,790,871,441 |
| items[].url | string | The post's link. | https://www.facebook.com/Meta/videos/2277713513083702/ |
| items[].post_id | string | Facebook's ID for the post. | 1152729184082957 |
| items[].reactions | object | Reactions by type, as Facebook shows them. | 6 fields |
| items[].reactions.angry | integer | Angry reactions. | 5 |
| items[].reactions.care | integer | Care reactions. | 40 |
| items[].reactions.haha | integer | Haha reactions. | 4 |
| items[].reactions.wow | integer | Wow reactions. | 5 |
| items | array | The page's posts. | 20 records |
| total_items | integer | How many posts this answer holds. | 20 |
Call it from your code, or ask your agent
Set UPSCRAPE_API_KEY to your key and copy a working request.
curl --request POST \ --url https://data.upscrape.com/execute \ --header "Authorization: Bearer $UPSCRAPE_API_KEY" \ --header "Content-Type: application/json" \ --header "Prefer: wait=30" \ --data '{ "capability": "facebook.page-posts.list", "input": { "url": "https://www.facebook.com/Meta" }}'
import jsonimport osimport requestspayload = json.loads(r'''{ "capability": "facebook.page-posts.list", "input": { "url": "https://www.facebook.com/Meta" }}''')response = requests.post( "https://data.upscrape.com/execute", headers={ "Authorization": f"Bearer {os.environ['UPSCRAPE_API_KEY']}", "Content-Type": "application/json", "Prefer": "wait=30", }, json=payload,)response.raise_for_status()print(json.dumps(response.json(), indent=2))
const response = await fetch("https://data.upscrape.com/execute", { method: "POST", headers: { "Authorization": `Bearer ${process.env.UPSCRAPE_API_KEY}`, "Content-Type": "application/json", "Prefer": "wait=30", }, body: JSON.stringify({ "capability": "facebook.page-posts.list", "input": { "url": "https://www.facebook.com/Meta" }}),});if (!response.ok) { throw new Error(`Upscrape request failed: ${response.status}`);}console.log(JSON.stringify(await response.json(), null, 2));
https://data.upscrape.com/mcp
With Upscrape, get Meta's latest Facebook posts and make a table of text, likes, comments and shares. Which posts got the most likes?
More from the Facebook API
- Facebook Page API1 credit
- Facebook Post API1 credit
- Facebook Post Comments API1 credit
- Facebook Comment Replies API1 credit
- Facebook Ads Library Search API1 credit
- Facebook Page Videos API1 credit
- Facebook Page Reels API1 credit
- Facebook Video API1 credit
- Facebook Reel API1 credit
- Facebook Video Transcript API1 credit
- Facebook Page About Information API1 credit
- Facebook Page Photos API1 credit
- Facebook Photo API1 credit
- Facebook Page Events API1 credit
- Facebook Event API1 credit
- Facebook Group API1 credit
The same data from other platforms
Facebook Page Posts API FAQ
The short answers. The docs have the long ones.
How much does the Facebook Page Posts API cost?
1 credit per successful call, shown before it runs. You buy credits once, and paid credits never expire.
What do I send?
Send url. The input fields below list every option with its type and limits.
Do I need a Facebook login?
No. It reads public Facebook data; nothing runs on your account.
Can my AI agent call it?
Yes, over MCP: the agent finds facebook.page-posts.list, checks its price and runs it with the same credits as the REST API.
Your first Facebook call is free.
Up to 100 free credits to start, no card needed.